Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jndi
Interface NamingService

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  NamingServiceSupport

public interface NamingService
extends java.rmi.Remote

Author:
  Young Yang

Method Summary
`void` | `bind(javax.naming.Context ctx, javax.naming.Name name, java.lang.Object obj, java.lang.String className)`
`void` | `closeSubcontext(javax.naming.Context ctx, javax.naming.Name name)`
`javax.naming.Context` | `createSubcontext(javax.naming.Context ctx, javax.naming.Name name)`
`void` | `destroySubcontext(javax.naming.Context ctx, javax.naming.Name name)`
`boolean` | `isBound(javax.naming.Name name)`
`java.util.List` | `list(javax.naming.Context ctx, javax.naming.Name name)`
`java.util.List` | `listBindings(javax.naming.Context ctx, javax.naming.Name name)`
`java.lang.Object` | `lookup(javax.naming.Name name)`
`java.lang.Object` | `lookupLink(javax.naming.Name name)`
`void` | `rebind(javax.naming.Context ctx, javax.naming.Name name, java.lang.Object obj, java.lang.String className)`
`void` | `unbind(javax.naming.Context ctx, javax.naming.Name name)`

Method Detail

### bind

    public void bind(javax.naming.Context ctx,
                     javax.naming.Name name,
                     java.lang.Object obj,
                     java.lang.String className)
              throws javax.naming.NamingException,
                     java.rmi.RemoteException

### rebind

    public void rebind(javax.naming.Context ctx,
                       javax.naming.Name name,
                       java.lang.Object obj,
                       java.lang.String className)
                throws javax.naming.NamingException,
                       java.rmi.RemoteException

### unbind

    public void unbind(javax.naming.Context ctx,
                       javax.naming.Name name)
                throws javax.naming.NamingException,
                       java.rmi.RemoteException

### lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException,
                                   java.rmi.RemoteException

### lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException,
                                       java.rmi.RemoteException

### list

    public java.util.List list(javax.naming.Context ctx,
                               javax.naming.Name name)
                        throws javax.naming.NamingException,
                               java.rmi.RemoteException

### listBindings

    public java.util.List listBindings(javax.naming.Context ctx,
                                       javax.naming.Name name)
                                throws javax.naming.NamingException,
                                       java.rmi.RemoteException

### createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Context ctx,
                                                 javax.naming.Name name)
                                          throws javax.naming.NamingException,
                                                 java.rmi.RemoteException

### destroySubcontext

    public void destroySubcontext(javax.naming.Context ctx,
                                  javax.naming.Name name)
                           throws javax.naming.NamingException,
                                  java.rmi.RemoteException

### closeSubcontext

    public void closeSubcontext(javax.naming.Context ctx,
                                javax.naming.Name name)
                         throws javax.naming.NamingException,
                                java.rmi.RemoteException

### isBound

    public boolean isBound(javax.naming.Name name)
                    throws java.rmi.RemoteException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD